<bugID>898012<Summary>Clean up OS X titlebar placeholder code</Summary><Description>There are a couple of things going on in the titlebar placeholder code which should be cleaned up for code sanity reasons, and may also gain us some performance. I'll split them up into "essentially dead code that should go away" and "things that it might be possible to do", which hopefully together get us some perf. Even if it doesn't, I think we should do part 1.</Description></bugID>